com.pdfunit.validators

## Class ZugferdValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.ZugferdValidator

-     @DoNotObfuscate
      public final class ZugferdValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for ZUGFeRD data.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZugferdValidator(DocumentValidator backReference)`
    `ZugferdValidator(com.pdfunit.internal.spi.IDocument testDocument)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeValue(XMLNode node)` This method is intended to be used by other validators only.
    `ZugferdValidator` | `hasZugferdData()` Validating that the current PDF document has XMP data.
    `ZugferdValidator` | `matchingXPath(XPathExpression xpath)` This method prcesses the given XPath expression against the XMP data of the current PDF document.
    `ZugferdValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZugferdValidator

          public ZugferdValidator(DocumentValidator backReference)

    - #### ZugferdValidator

          public ZugferdValidator(com.pdfunit.internal.spi.IDocument testDocument)

  - ### Method Detail

    - #### hasZugferdData

          public ZugferdValidator hasZugferdData()

      Validating that the current PDF document has XMP data.

    - #### matchingXPath

          @Guarded
          public ZugferdValidator matchingXPath(XPathExpression xpath)

      This method prcesses the given XPath expression against the XMP data of the current PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public ZugferdValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against the current PDF document.

    - #### getNodeValue

          @Guarded
          public java.lang.String getNodeValue(XMLNode node)

      This method is intended to be used by other validators only.

Copyright (C) PDFUnit.com. See here for license.